name: notification
description: A new Flutter package project.
version: 0.0.1
publish_to: none

environment:
  sdk: '>=3.0.1 <4.0.0'
  flutter: ">=1.17.0"

dependencies:
  flutter:
    sdk: flutter
  # For push notification
  firebase_messaging: ^15.1.2
  #Firebase core
  firebase_core: ^3.5.0
  # For local notification
  flutter_local_notifications: ^17.2.4
  # For running push notifications in all os
  push: 2.3.0
  # For reactive api leveraging the dart stream
  rxdart: ^0.27.7
  # State management
  flutter_bloc: ^8.1.3
  # State management
  bloc: ^8.1.2
  # For detecting object equality
  equatable: ^2.0.5
  # Database of choice
  realm: ^20.0.0
  # For access to the device's file system
  path_provider: ^2.1.1
  core:
    path: ../../core
  meta_club_api:
    path: ../../data/meta_club_api
  easy_localization: ^3.0.2
  flutter_screenutil: ^5.8.4
  fpdart: ^1.0.0